.typescript-library:
    variables:
        PROJECT_NAME: package-local-publisher
        PUSH_PACKAGE_CONTEXT: .
    only:
        changes:
            - .gitlab-ci*
            - .npmrc
            - ts*.json
            - package*.json
            - src/**/*

.general-environment-defenition:
    environment:
        name: Package Local Publisher NPM-Registry - Unstable

.develop-environment-defenition:
    environment:
        name: Package Local Publisher NPM-Registry - Unstable

.test-environment-defenition:
    environment:
        name: Package Local Publisher NPM-Registry - Unstable

.stage-environment-defenition:
    environment:
        name: Package Local Publisher NPM-Registry - Unstable

.production-environment-defenition:
    environment:
        name: Package Local Publisher NPM-Registry

include:
    - project: savushkin.i/environment
      ref: master
      file: templates/gitlab-ci/pipeline-templates/stages.yml

    - project: savushkin.i/environment
      ref: master
      file: templates/gitlab-ci/pipeline-templates/environments.yml

    - project: savushkin.i/environment
      ref: master
      file: templates/gitlab-ci/job-templates/npm-job-templates.yml

    - project: savushkin.i/environment
      ref: master
      file: templates/gitlab-ci/pipeline-templates/typescript-library.gitlab-ci.yml
